package com.bocloud.cmp.model;

/**
 * openstack底层租户/项目
 *
 * @author wangyu
 * @version 4.2.1-SNAPSHOT
 * @since 2019/11/14
 */
public class OSTenantModel {
    private String name;
    private String remark;
    private String tenantUuid;
    private Boolean enabled;
    private String domainUuid;
    private String domainName;

    /**
     *
     */
    public OSTenantModel() {
    }

    /**
     * @param name
     * @param remark
     * @param tenantUuid
     * @param enabled
     * @param domainUuid
     * @param domainName
     */
    public OSTenantModel(String name, String remark, String tenantUuid, Boolean enabled, String domainUuid, String domainName) {
        this.name = name;
        this.remark = remark;
        this.tenantUuid = tenantUuid;
        this.enabled = enabled;
        this.domainUuid = domainUuid;
        this.domainName = domainName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getDomainUuid() {
        return domainUuid;
    }

    public void setDomainUuid(String domainUuid) {
        this.domainUuid = domainUuid;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }
}
